#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os
from pylot.tomography.fmtomo_utils import Tomo3d

#tomo = Tomo3d('/rscratch/minos13/marcel/fmtomo_alparray/alparray_mantle_from_m6.0_tesauro_model_on_top',
#              '/rscratch/minos13/marcel/fmtomo_alparray/alparray_mantle_from_m6.0_tesauro_model_on_top',
#              buildObs=False, saveRays=False)

wdir = '/rscratch/minos13/marcel/fmtomo_alparray/'

#directories = ['alparray_mantle_from_m6.0_diehl_crustal_corrections_sm1_damp3',
               #'alparray_mantle_from_m6.0_diehl_crustal_corrections_sm1_damp30',]
directories=   ['alparray_mantle_from_m6.0_diehl_crustal_corrections_sm10_damp3',
               'alparray_mantle_from_m6.0_diehl_crustal_corrections_sm10_damp30']

for dire in directories:
    path = os.path.join(wdir, dire)
    tomo = Tomo3d(path, path, buildObs=False, saveRays=False)
    tomo.runTOMO3D(40, 8)
